{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.games;
in {
  options.modules.desktop.games = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      steam
      lutris
      osu-lazer-bin
    ];

    programs.alvr.enable = true;
    programs.alvr.openFirewall = true;
  };
}